/******************************************************************************
* C Include: Field List                                                       *
*                                                                             *
* File:                                                                       *
*    fieldlst.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for the Field List functions.                               *
*                                                                             *
* History:                                                                    *
*    Created    : 17-AUG-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __FIELDLST__
#define __FIELDLST__

#include "field.h"
#include "lnkd_lst.h"

/********************************
* Field List derived data types *
********************************/
typedef LL      FIELD_LIST; /* Linked list of fields           */
typedef LL_NODE FL_NODE   ; /* Node in a linked list of fields */

/***********************************
* Field List functions' prototypes *
***********************************/
void       Add_Field_to_List      (/* FIELD_LIST List ,
				      FIELD      Field */);

FIELD_LIST Create_Empty_Field_List(/* void             */);

void       Delete_Field_List      (/* FIELD_LIST List  */);

void       Delete_Field_List_Data (/* FIELD_LIST List  */);

#endif
